List Transactions

The Transactions API allows for the viewing of individual transactions across ledgered and core accounts.

This endpoint returns a paged list of transactions for a specific account. The endpoint accepts a transactionsFilter object as a query parameter that allows for the client to specify a date range, transaction type, and transaction status for restricting the query to specific transactions.

Results are ordered by created_at ascending, then transaction_id, unless sort=completed_at with dir=asc or dir=desc.

Query Params
transactionsFilter
object

Transactions and the page that should be returned.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Copyright Ā© 2026 Jack Henry & Associates Inc..